apiVersion: v1
kind: Service
metadata:
  name: teleport
  namespace: teleport
spec:
  allocateLoadBalancerNodePorts: true
  externalTrafficPolicy: Cluster
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: tls
    nodePort: 30810
    port: 443
    protocol: TCP
    targetPort: 3080
  - name: sshproxy
    nodePort: 30811
    port: 3023
    protocol: TCP
    targetPort: 3023
  - name: k8s
    nodePort: 30812
    port: 3026
    protocol: TCP
    targetPort: 3026
  - name: sshtun
    nodePort: 30813
    port: 3024
    protocol: TCP
    targetPort: 3024
  - name: mysql
    nodePort: 30814
    port: 3036
    protocol: TCP
    targetPort: 3036
  selector:
    app.kubernetes.io/component: proxy
    app.kubernetes.io/instance: teleport
    app.kubernetes.io/name: teleport-cluster
  sessionAffinity: None
  type: LoadBalancer
